Workflow Jobs

Workflow Jobs API

1.0.0OAS 3.1
API Base URL
  • Server 1:https://{your-bynder-domain}
Security
OAuth2 (oauth2)

Authorization Code OAuth Flow

Authorize URL: https://{your-auth-url}

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • CAMPAIGNOVERVIEW -
  • JOBADD -
  • JOBAPPROVE -
  • JOBEDIT -
  • JOBOVERVIEW -
  • JOBREMOVE -
  • PRESETOVERVIEW -

Client Credentials OAuth Flow

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • CAMPAIGNOVERVIEW -
  • JOBADD -
  • JOBAPPROVE -
  • JOBEDIT -
  • JOBOVERVIEW -
  • JOBREMOVE -
  • PRESETOVERVIEW -
permanentToken (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called Authorization.

Example: Authorization: 123

Presets

Retrieve specific job preset

get
https://{your-bynder-domain}/api/workflow/presets/job/{id}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-000000000000

Response

200 application/json

Successful response

IDstring
ftp_settingsstring
namestring
presetstagesobject
Show Child Parameters
wf_uuidstring
get/api/workflow/presets/job/{id}
 
200 application/json

Jobs

Retrieve jobs

get
https://{your-bynder-domain}/api/workflow/jobs

Query Parameters

dateCreatedFromstring(date-time)

Retrieve jobs created after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

dateCreatedTostring(date-time)

Set a date range together with the “dateCreated” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

dateModifiedFromstring(date-time)

Retrieve jobs modified after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

dateModifiedTostring(date-time)

Set a date range together with the “dateModified” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

deadlineFromstring(date-time)

Retrieve jobs with a deadline after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

deadlineTostring(date-time)

Retrieve jobs with a deadline before this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

resonsibleIDsstring

Example:00000000000000000000000000000000,00000000000000000000000000000000

accountableIDsstring

Example:00000000000000000000000000000000,00000000000000000000000000000000

statusstring

Example:Approved,NeedsChanges

orderBystring

Example:deadline asc

limitinteger

Example:100

pageinteger

Example:1

Response

200 application/json

Successful response

accountableIDstring
basedOnPresetstring
bookedMinutesnumber
campaignIDstring
createdByIDstring
dateCreatedstring
dateFinishedstring
dateModifiedstring
deadlinestring
descriptionstring
idstring
jobFinishedHistoryarray[object]
Show Child Parameters
jobKeystring
jobMetapropertiesobject
Show Child Parameters
job_active_stageobject
Show Child Parameters
job_next_stageobject
Show Child Parameters
job_previous_stageobject
Show Child Parameters
job_stagesarray[object]
Show Child Parameters
namestring
presetIDstring
get/api/workflow/jobs
 
200 application/json